import { Mark } from '@tiptap/core';
export interface MarkerOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    styles: Array<string>;
    tag: string;
    excludes: string;
    shortcuts: Array<string>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        markWithStyle: {
            /**
             * Toggle a marker
             */
            toggleMarkWithStyle: (attributes?: {
                style: string | unknown;
            }) => ReturnType;
        };
    }
}
export declare const markWithStyle: Mark<MarkerOptions, any>;
