import React from 'react';
import { CombinatorRendererProps, JsonFormsUISchemaRegistryEntry, JsonSchema, RendererProps } from '@jsonforms/core';
interface FragmentReferenceProps extends RendererProps {
    data?: any;
    enabled: boolean;
    label?: string | undefined;
    rootSchema: JsonSchema;
    uischemas: JsonFormsUISchemaRegistryEntry[];
    isValid: any;
    id: any;
    required: any;
    errors: any;
    visible: any;
}
export declare const SpectrumContentReferenceControl: React.MemoExoticComponent<({ data, label, enabled, path, id, schema, uischema, rootSchema, config, handleChange, isValid, required, errors, visible, }: FragmentReferenceProps & CombinatorRendererProps & {
    schema: any;
}) => JSX.Element>;
declare const _default: React.ComponentType<import("@jsonforms/core").OwnPropsOfControl>;
export default _default;
