import { Node } from '@tiptap/core';
import { Level, NodeOptions } from './types';
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        nodeWithStyle: {
            /**
             * Toggle a nodeWithStyle
             */
            toggleNodeWithStyle: (attributes: {
                style: string | unknown;
                tag?: string;
                nodeName?: string | undefined;
                level?: Level;
            }) => ReturnType;
        };
    }
}
export declare const nodeWithStyle: Node<NodeOptions, any>;
