export declare type Level = 1 | 2 | 3 | 4 | 5 | 6;
export interface NodeOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    styles: Array<string>;
    excludes: string;
    level?: Level;
    nodeName?: string | undefined;
    tag: string;
}
export interface MarkerOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    tag: string;
    excludes: string;
    shortcuts: Array<string>;
}
